function toggle_column_solo()
 
  local song = renoise.song()
  local column = song.selected_note_column_index
  
  --return if not on a note column
  if not column then
    return
  end
  
  local track = song.selected_track
  local all_muted = true
  
  --return if not on a note column
  if not column then
    return
  end
  
  --unmute column
  track:mute_column(column,false)  
  
  --get mute states of other columns
  for i = 1,12 do
    --skip selected column
    if i ~= column then
      if not track:column_is_muted(i) then
        all_muted = false
      end
    end
  end
   
  if all_muted then
    --loop to unmute all columns
    for i = 1,12 do
      if i ~= column then
        track:mute_column(i,false)
      end
    end
  else
    --loop to mute all columns except selected column
    for i = 1,12 do
      if i ~= column then
        track:mute_column(i,true)
      end
    end
  end
end

-- function to cycle vel, pan dly
--[[renoise.song().tracks[].volume_column_visible, _observable
  -> [boolean]
renoise.song().tracks[].panning_column_visible, _observable
  -> [boolean]
renoise.song().tracks[].delay_column_visible, _observable
  -> [boolean]--]]
